aboutsummaryrefslogtreecommitdiff
path: root/devel
diff options
context:
space:
mode:
authorMathieu Arnold <mat@FreeBSD.org>2019-08-13 16:01:59 +0000
committerMathieu Arnold <mat@FreeBSD.org>2019-08-13 16:01:59 +0000
commit78d1aff1fc53a63e9c59c078ff2258a5dd29c9dd (patch)
tree557e38686944a0a47350c0dc68f952bec42e13d6 /devel
parenta6c40a689b8a327b1ecf5778f120f0d7250ea7a8 (diff)
downloadports-78d1aff1fc53a63e9c59c078ff2258a5dd29c9dd.tar.gz
ports-78d1aff1fc53a63e9c59c078ff2258a5dd29c9dd.zip
Convert to UCL & cleanup pkg-message (categories d)
Notes
Notes: svn path=/head/; revision=508835
Diffstat (limited to 'devel')
-rw-r--r--devel/9base/pkg-message10
-rw-r--r--devel/RStudio/pkg-message8
-rw-r--r--devel/aegis/pkg-message10
-rw-r--r--devel/allegro-devel/files/pkg-message.in10
-rw-r--r--devel/android-tools-fastboot/files/pkg-message.in6
-rw-r--r--devel/apr1/pkg-message10
-rw-r--r--devel/arduino/files/pkg-message.in6
-rw-r--r--devel/aros-sdk/files/pkg-message.in8
-rw-r--r--devel/artifactory/files/pkg-message.in16
-rw-r--r--devel/awless/pkg-message10
-rw-r--r--devel/boost-all/pkg-message.python6
-rw-r--r--devel/boost-all/pkg-message.threads6
-rw-r--r--devel/boost_build/files/pkg-message.in6
-rw-r--r--devel/bugzilla44/files/pkg-message.in15
-rw-r--r--devel/bugzilla50/files/pkg-message.in15
-rw-r--r--devel/ccache/files/pkg-message.in8
-rw-r--r--devel/cdash/files/pkg-message.in6
-rw-r--r--devel/cgit/files/pkg-message.in8
-rw-r--r--devel/chruby/files/pkg-message.in10
-rw-r--r--devel/cl-asdf/files/pkg-message.in8
-rw-r--r--devel/clojure-cider/pkg-message7
-rw-r--r--devel/colorgcc/files/pkg-message.in8
-rw-r--r--devel/cons/pkg-message6
-rw-r--r--devel/ctags/files/pkg-message.in8
-rw-r--r--devel/cutter/pkg-message8
-rw-r--r--devel/cvsd/pkg-message8
-rw-r--r--devel/cvsgraph/files/pkg-message.in7
-rw-r--r--devel/cvsmonitor/pkg-message8
-rw-r--r--devel/cvstrac/pkg-message7
-rw-r--r--devel/cvsweb/files/pkg-message.in8
-rw-r--r--devel/cvsweb3/files/pkg-message.in8
-rw-r--r--devel/cweb/pkg-message6
-rw-r--r--devel/distcc/files/pkg-message.in6
-rw-r--r--devel/eiffelstudio/files/pkg-message.in10
-rw-r--r--devel/eric6/pkg-message6
-rw-r--r--devel/fam/files/pkg-message.in10
-rw-r--r--devel/fistgen/files/pkg-message.in10
-rw-r--r--devel/flyspray/files/pkg-message.in10
-rw-r--r--devel/gamin/pkg-message10
-rw-r--r--devel/git-lfs/pkg-message6
-rw-r--r--devel/git-merge-changelog/pkg-message9
-rw-r--r--devel/git/files/pkg-message.in15
-rw-r--r--devel/git/pkg-message9
-rw-r--r--devel/gitblit/files/pkg-message.in10
-rw-r--r--devel/github-backup-utils/files/pkg-message.in8
-rw-r--r--devel/gitlab-runner/pkg-message8
-rw-r--r--devel/gitlist/files/pkg-message.in6
-rw-r--r--devel/gitolite2/files/pkg-message.in10
-rw-r--r--devel/gitphp/files/pkg-message.in8
-rw-r--r--devel/gittrac/pkg-message7
-rw-r--r--devel/gnustep/pkg-message6
-rw-r--r--devel/godot2-tools/pkg-message8
-rw-r--r--devel/gogland-eap/files/pkg-message.in6
-rw-r--r--devel/gogs/files/pkg-message.in8
-rw-r--r--devel/hg-git/pkg-message10
-rw-r--r--devel/ice/pkg-message6
-rw-r--r--devel/interactive_rebase_tool/pkg-message6
-rw-r--r--devel/ioncube/files/pkg-message.in6
-rw-r--r--devel/jenkins-lts/pkg-message10
-rw-r--r--devel/jenkins/pkg-message10
-rw-r--r--devel/jetbrains-clion/files/pkg-message.in6
-rw-r--r--devel/jetbrains-goland/files/pkg-message.in6
-rw-r--r--devel/jetbrains-phpstorm/files/pkg-message.in6
-rw-r--r--devel/jetbrains-webstorm/files/pkg-message.in6
-rw-r--r--devel/jline/files/pkg-message.in8
-rw-r--r--devel/kronosnet/pkg-message6
-rw-r--r--devel/libaravis/pkg-message6
-rw-r--r--devel/libburn/pkg-message6
-rw-r--r--devel/libdlmalloc/pkg-message6
-rw-r--r--devel/libgtop/files/pkg-message10
-rw-r--r--devel/libinotify/pkg-message10
-rw-r--r--devel/liblognorm/files/pkg-message.in15
-rw-r--r--devel/libnxt/files/pkg-message.in9
-rw-r--r--devel/libopensync/pkg-message6
-rw-r--r--devel/libpasori/pkg-message8
-rw-r--r--devel/libreadline-java/files/pkg-message.in8
-rw-r--r--devel/libsigsegv/pkg-message8
-rw-r--r--devel/libvirt/files/pkg-message.in7
-rw-r--r--devel/linux-ltp/pkg-message7
-rw-r--r--devel/magit/pkg-message9
-rw-r--r--devel/mercurial/files/pkg-message.in8
-rw-r--r--devel/monotone/files/pkg-message.in8
-rw-r--r--devel/msp430-debug-stack/files/pkg-message.in10
-rw-r--r--devel/nexus2-oss/files/pkg-message.in8
-rw-r--r--devel/oozie/files/pkg-message.in7
-rw-r--r--devel/opencl/pkg-message6
-rw-r--r--devel/openocd/pkg-message10
-rw-r--r--devel/p5-Heap-Simple/pkg-message11
-rw-r--r--devel/p5-Moose/pkg-message6
-rw-r--r--devel/p5-ResourcePool/pkg-message10
-rw-r--r--devel/p5-SVN-Web/pkg-message6
-rw-r--r--devel/papi/pkg-message6
-rw-r--r--devel/pcsc-lite/files/pkg-message.in10
-rw-r--r--devel/pecl-xdebug/files/pkg-message.in9
-rw-r--r--devel/phabricator/files/pkg-message.in6
-rw-r--r--devel/php-libawl/pkg-message11
-rw-r--r--devel/phpbt/files/pkg-message.in10
-rw-r--r--devel/phpsh/pkg-message10
-rw-r--r--devel/plasma/pkg-message11
-rw-r--r--devel/pmdk/pkg-message6
-rw-r--r--devel/psvn/pkg-message6
-rw-r--r--devel/py-QtPy/pkg-message8
-rw-r--r--devel/py-aspects/files/pkg-message.in9
-rw-r--r--devel/py-aspyct/pkg-message8
-rw-r--r--devel/py-gitosis/pkg-message10
-rw-r--r--devel/py-http-prompt/files/pkg-message.in8
-rw-r--r--devel/py-mercurialserver/files/pkg-message.in6
-rw-r--r--devel/py-os-brick/pkg-message6
-rw-r--r--devel/py-pip/pkg-message10
-rw-r--r--devel/py-python-gitlab/files/pkg-message.in6
-rw-r--r--devel/py-q/files/pkg-message.in6
-rw-r--r--devel/py-setuptools/files/pkg-message.in11
-rw-r--r--devel/py-ua_parser/files/pkg-message.in8
-rw-r--r--devel/pycharm-ce/files/pkg-message.in6
-rw-r--r--devel/pymacs/pkg-message6
-rw-r--r--devel/rbenv/pkg-message10
-rw-r--r--devel/remotery/files/pkg-message.in6
-rw-r--r--devel/rpm-spec-mode.el/pkg-message11
-rw-r--r--devel/rth/files/pkg-message.in8
-rw-r--r--devel/sdl12/pkg-message.linjoy11
-rw-r--r--devel/sdl12/pkg-message.vgl8
-rw-r--r--devel/sonar-ant-task/files/pkg-message.in10
-rw-r--r--devel/sonar-scanner-cli/files/pkg-message.in10
-rw-r--r--devel/sonarqube/files/pkg-message.in10
-rw-r--r--devel/staf/pkg-message10
-rw-r--r--devel/statcvs/files/pkg-message.in8
-rw-r--r--devel/statsvn/pkg-message6
-rw-r--r--devel/subversion-lts/files/pkg-message.in6
-rw-r--r--devel/subversion/files/pkg-message.in6
-rw-r--r--devel/svntrac/pkg-message7
-rw-r--r--devel/tig/pkg-message-git6
-rw-r--r--devel/tigcc/files/pkg-message.in8
-rw-r--r--devel/tortoisehg/files/pkg-message.in6
-rw-r--r--devel/trac-bitten/files/pkg-message.in6
-rw-r--r--devel/truc/files/pkg-message.in8
-rw-r--r--devel/valgrind/pkg-message10
-rw-r--r--devel/viewvc/files/pkg-message.in10
-rw-r--r--devel/visualparadigm/pkg-message8
-rw-r--r--devel/websvn/files/pkg-message.in8
-rw-r--r--devel/xc3sprog/pkg-message6
-rw-r--r--devel/youcompleteme/files/pkg-message.in6
-rw-r--r--devel/zanata-platform/pkg-message10
-rw-r--r--devel/zeal/pkg-message6
143 files changed, 872 insertions, 294 deletions
diff --git a/devel/9base/pkg-message b/devel/9base/pkg-message
index 8901b6b9ed4c..57fe5f850b0d 100644
--- a/devel/9base/pkg-message
+++ b/devel/9base/pkg-message
@@ -1,7 +1,9 @@
-======================================================
-
+[
+{ type: install
+ message: <<EOM
Some of 9base tools require fdescfs to be mounted.
Please refer manpages fdescfs(5) and fstab(5) to
mount it.
-
-======================================================
+EOM
+}
+]
diff --git a/devel/RStudio/pkg-message b/devel/RStudio/pkg-message
index 44ee4e7227d4..8f10ba49c238 100644
--- a/devel/RStudio/pkg-message
+++ b/devel/RStudio/pkg-message
@@ -1,4 +1,6 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
You installed RStudio: Integrated development environment (IDE) for R.
Please note that RStudio requires /proc to be mounted.
@@ -8,4 +10,6 @@ proc /proc procfs rw 0 0
and then run this command as root:
# mount /proc
-======================================================================
+EOM
+}
+]
diff --git a/devel/aegis/pkg-message b/devel/aegis/pkg-message
index dfb2ddb25657..c2ad6f9d1cef 100644
--- a/devel/aegis/pkg-message
+++ b/devel/aegis/pkg-message
@@ -1,7 +1,9 @@
-==============================================================================
-
+[
+{ type: install
+ message: <<EOM
Aegis has been installed.
If you want more development tools, check "devel/cook" and "devel/fhist".
-
-==============================================================================
+EOM
+}
+]
diff --git a/devel/allegro-devel/files/pkg-message.in b/devel/allegro-devel/files/pkg-message.in
index f812756c3c2f..305dcbc3c352 100644
--- a/devel/allegro-devel/files/pkg-message.in
+++ b/devel/allegro-devel/files/pkg-message.in
@@ -1,5 +1,6 @@
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
Allegro-devel has been installed.
Allegro-devel have two Demos (Games)
@@ -21,5 +22,6 @@ Or can use desktop files
%%LOCALBASE%%/share/applications/speed.desktop
Have fun!
-
-===============================================================================
+EOM
+}
+]
diff --git a/devel/android-tools-fastboot/files/pkg-message.in b/devel/android-tools-fastboot/files/pkg-message.in
index 32713248181a..685189b9b7d0 100644
--- a/devel/android-tools-fastboot/files/pkg-message.in
+++ b/devel/android-tools-fastboot/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The port installed fastboot(1) under %%PREFIX%%/bin. However, there's
a different fastboot(8) under /sbin. To avoid accidentally invoking
the wrong command make sure either to
@@ -5,3 +8,6 @@ the wrong command make sure either to
- adjust PATH environment variable to have fastboot(1) found first
- create a shell alias with absolute path to fastboot(1)
- create a symlink with different name in PATH e.g., under ~/bin
+EOM
+}
+]
diff --git a/devel/apr1/pkg-message b/devel/apr1/pkg-message
index 88852a246a54..ccf5adca9f44 100644
--- a/devel/apr1/pkg-message
+++ b/devel/apr1/pkg-message
@@ -1,7 +1,9 @@
-/!\ ================================================================== /!\
-
+[
+{ type: install
+ message: <<EOM
The Apache Portable Runtime project removed support for FreeTDS with
version 1.6. Users requiring MS-SQL connectivity must migrate
configurations to use the added ODBC driver and FreeTDS' ODBC features.
-
-/!\ ================================================================== /!\
+EOM
+}
+]
diff --git a/devel/arduino/files/pkg-message.in b/devel/arduino/files/pkg-message.in
index 9f49a76704e1..f000e18213fd 100644
--- a/devel/arduino/files/pkg-message.in
+++ b/devel/arduino/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Notes on using the Arduino IDE:
To allow serial port locking, add your user to the dialer group:
@@ -16,3 +19,6 @@ visible if you started the IDE from a console):
To start the IDE:
%%PREFIX%%/bin/arduino
+EOM
+}
+]
diff --git a/devel/aros-sdk/files/pkg-message.in b/devel/aros-sdk/files/pkg-message.in
index c8c2a7ae32d7..fd0937e8c218 100644
--- a/devel/aros-sdk/files/pkg-message.in
+++ b/devel/aros-sdk/files/pkg-message.in
@@ -1,4 +1,8 @@
- ATTENTION:
-
+[
+{ type: install
+ message: <<EOM
Remember to add %%AROS_SDK_PATH%%/bin to your PATH environment
variable before using the AROS SDK.
+EOM
+}
+]
diff --git a/devel/artifactory/files/pkg-message.in b/devel/artifactory/files/pkg-message.in
index 580ed8136012..e8e08adac583 100644
--- a/devel/artifactory/files/pkg-message.in
+++ b/devel/artifactory/files/pkg-message.in
@@ -1,6 +1,6 @@
-
-=== INSTALLATION ===
-
+[
+{ type: install
+ message: <<EOM
Artifactory is now installed in %%APP_HOME%%
You may want to activate it in /etc/rc.conf:
@@ -23,9 +23,10 @@ Please don't forget to review and edit the files in the
Full documentation may be found at:
https://www.jfrog.com/confluence/display/RTF/Welcome+to+Artifactory
-
-=== DEINSTALLATION ==
-
+EOM
+}
+{ type: remove
+ message: <<EOM
If, when, Artifactory is removed, and you no longer require the
runtime database and configuration files, you can delete the
following directory:
@@ -37,3 +38,6 @@ the database files that Artifactory requires if you do decide to
re-install it again.
Enjoy!
+EOM
+}
+]
diff --git a/devel/awless/pkg-message b/devel/awless/pkg-message
index df5d5bc95dbb..5001bc97a719 100644
--- a/devel/awless/pkg-message
+++ b/devel/awless/pkg-message
@@ -1,9 +1,11 @@
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
Setup your AWS account by exporting AWS_ACCESS_KEY_ID and AWS_SECRET_ACCESS_KEY
environment variables.
If you have previously used aws CLI or aws-shell, your credentials will be
automatically loaded by awless from the ~/.aws/credentials folder.
-
-===============================================================================
+EOM
+}
+]
diff --git a/devel/boost-all/pkg-message.python b/devel/boost-all/pkg-message.python
index 8e065b92275c..cb5195b507fc 100644
--- a/devel/boost-all/pkg-message.python
+++ b/devel/boost-all/pkg-message.python
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
You have built the Boost.Python library. You have to add the following
options when building your own code:
@@ -6,3 +9,6 @@ Compiler options:
Linker options:
-L%%PYTHON_LIBDIR%% -L%%LOCALBASE%%/lib -lboost_python -l%%PYTHON_VERSION%%
+EOM
+}
+]
diff --git a/devel/boost-all/pkg-message.threads b/devel/boost-all/pkg-message.threads
index a25279cd13f8..1c58b99b3e5f 100644
--- a/devel/boost-all/pkg-message.threads
+++ b/devel/boost-all/pkg-message.threads
@@ -1,4 +1,10 @@
+[
+{ type: install
+ message: <<EOM
You have built the Boost library with thread support.
Don't forget to add -pthread to your linker options when
linking your code.
+EOM
+}
+]
diff --git a/devel/boost_build/files/pkg-message.in b/devel/boost_build/files/pkg-message.in
index 06d36cb6c029..771ec3e0b3af 100644
--- a/devel/boost_build/files/pkg-message.in
+++ b/devel/boost_build/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To use boost_build, it is necessary to set BOOST_ROOT in
your environment:
@@ -13,3 +16,6 @@ To override this on a system-wide basis, edit this file:
For an example of a per-user settings file which may be
copied to your home directory, see:
%%DATADIR%%/user-config.jam
+EOM
+}
+]
diff --git a/devel/bugzilla44/files/pkg-message.in b/devel/bugzilla44/files/pkg-message.in
index b20cd0a62d0f..f50cf9315147 100644
--- a/devel/bugzilla44/files/pkg-message.in
+++ b/devel/bugzilla44/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
Bugzilla has now been installed. To quick setup you have to:
1. Create database user who has rights on bugs database manipulation
@@ -21,8 +23,10 @@
For more complete database setup and post-installation instructions
and security tips/notes please read "Bugzilla Guide" in
%%DOCSDIR%%/en/html/ (chapter 2: "Installing Bugzilla")
-==========================================================================
-
+EOM
+}
+{ type: upgrade
+ message: <<EOM
For upgrades:
0. Back up your data.
@@ -34,5 +38,6 @@ For upgrades:
3. Restart your Web server, especially if you're using mod_perl: this
will save you from a number of troubles.
-
-==========================================================================
+EOM
+}
+]
diff --git a/devel/bugzilla50/files/pkg-message.in b/devel/bugzilla50/files/pkg-message.in
index b20cd0a62d0f..961d97fe86a7 100644
--- a/devel/bugzilla50/files/pkg-message.in
+++ b/devel/bugzilla50/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
Bugzilla has now been installed. To quick setup you have to:
1. Create database user who has rights on bugs database manipulation
@@ -21,8 +23,10 @@
For more complete database setup and post-installation instructions
and security tips/notes please read "Bugzilla Guide" in
%%DOCSDIR%%/en/html/ (chapter 2: "Installing Bugzilla")
-==========================================================================
-
+EOM
+}
+{ type: install
+ message: <<EOM
For upgrades:
0. Back up your data.
@@ -34,5 +38,6 @@ For upgrades:
3. Restart your Web server, especially if you're using mod_perl: this
will save you from a number of troubles.
-
-==========================================================================
+EOM
+}
+]
diff --git a/devel/ccache/files/pkg-message.in b/devel/ccache/files/pkg-message.in
index 0ff1244719ea..088912983fd3 100644
--- a/devel/ccache/files/pkg-message.in
+++ b/devel/ccache/files/pkg-message.in
@@ -1,5 +1,9 @@
-
+[
+{ type: install
+ message: <<EOM
NOTE:
Please read %%DOCSDIR%%/%%HOWTO%% for
information on using ccache with FreeBSD ports and src.
-
+EOM
+}
+]
diff --git a/devel/cdash/files/pkg-message.in b/devel/cdash/files/pkg-message.in
index e89931442175..f9a8aabc2eac 100644
--- a/devel/cdash/files/pkg-message.in
+++ b/devel/cdash/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Your CDash configuration file is located at
%%PREFIX%%/www/CDash/cdash/config.local.php.
@@ -6,3 +9,6 @@ grant him privileges over a database named 'cdash'.
A sample CDash project is available for download at
http://www.cdash.org/download/CDashTest.zip.
+EOM
+}
+]
diff --git a/devel/cgit/files/pkg-message.in b/devel/cgit/files/pkg-message.in
index 4d50bfb98aff..01906397b809 100644
--- a/devel/cgit/files/pkg-message.in
+++ b/devel/cgit/files/pkg-message.in
@@ -1,4 +1,6 @@
----------------------------------------------------
+[
+{ type: install
+ message: <<EOM
cgit has been successfully installed.
To enable cgit in Apache, use something like the following:
@@ -11,4 +13,6 @@ To enable cgit in Apache, use something like the following:
Documentation and sample configuration can be found
in %%DOCSDIR%%/cgitrc.5.txt.
----------------------------------------------------
+EOM
+}
+]
diff --git a/devel/chruby/files/pkg-message.in b/devel/chruby/files/pkg-message.in
index 4038d9dc905b..71806c181149 100644
--- a/devel/chruby/files/pkg-message.in
+++ b/devel/chruby/files/pkg-message.in
@@ -1,5 +1,6 @@
-======================================================================
-
+[
+{ type: install
+ message: <<EOM
Add the following to the /etc/profile.d/chruby.sh, ~/.bash_profile or
~/.zprofile file:
@@ -23,5 +24,6 @@ rbfu: RUBIES=('~/.rbfu/rubies/*)
To enable auto-switching of Rubies specified by .ruby-version files:
source %%PREFIX%%/share/chruby/auto.sh
-
-======================================================================
+EOM
+}
+]
diff --git a/devel/cl-asdf/files/pkg-message.in b/devel/cl-asdf/files/pkg-message.in
index 0fcc61506e7b..722037f98717 100644
--- a/devel/cl-asdf/files/pkg-message.in
+++ b/devel/cl-asdf/files/pkg-message.in
@@ -1,4 +1,6 @@
-==========================================================================
+[
+{ type: install
+ message: <<EOM
To use asdf and depending ports, you will have to configure your
Lisp systems so they know where to find asdf itself and the system
definition files.
@@ -9,4 +11,6 @@ A default configuration is installed in
Review this file for further information, or simply load it from your
Lisp initialization file.
-==========================================================================
+EOM
+}
+]
diff --git a/devel/clojure-cider/pkg-message b/devel/clojure-cider/pkg-message
index e9a70dc341e7..5610617ff7dd 100644
--- a/devel/clojure-cider/pkg-message
+++ b/devel/clojure-cider/pkg-message
@@ -1,7 +1,12 @@
-
+[
+{ type: install
+ message: <<EOM
Starting with CIDER 0.7, the installation of cider-nrepl is manual.
Please install devel/leiningen and add the following to
~/.lein/profiles.clj:
{ :user
{ :plugins [[cider/cider-nrepl "0.7.0-SNAPSHOT"]] }
+EOM
+}
+]
diff --git a/devel/colorgcc/files/pkg-message.in b/devel/colorgcc/files/pkg-message.in
index bde9042c061e..7ccebf763403 100644
--- a/devel/colorgcc/files/pkg-message.in
+++ b/devel/colorgcc/files/pkg-message.in
@@ -1,7 +1,11 @@
--------------------------------------------------------------
+[
+{ type: install
+ message: <<EOM
colorgcc is installed.
For a quick start:
- cp ${EXAMPLESDIR}/colorgccrc ${HOME}/.colorgcc
- export CC=${PREFIX}/bin/colorgcc
--------------------------------------------------------------
+EOM
+}
+]
diff --git a/devel/cons/pkg-message b/devel/cons/pkg-message
index 88d9768ad4f3..ba1237501f8f 100644
--- a/devel/cons/pkg-message
+++ b/devel/cons/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Copyright (C) 1996-2000 Free Software Foundation, Inc.
Cons is free software; you can redistribute it and/or modify
@@ -14,3 +17,6 @@ You should have received a copy of the GNU General Public License
along with this program; see the file COPYING. If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
+EOM
+}
+]
diff --git a/devel/ctags/files/pkg-message.in b/devel/ctags/files/pkg-message.in
index ac1d45ff28a8..f102c9c1ac98 100644
--- a/devel/ctags/files/pkg-message.in
+++ b/devel/ctags/files/pkg-message.in
@@ -1,3 +1,7 @@
-**************************************************************************
+[
+{ type: install
+ message: <<EOM
The executable for Exuberant CTAGS is installed as %%PREFIX%%/bin/exctags
-**************************************************************************
+EOM
+}
+]
diff --git a/devel/cutter/pkg-message b/devel/cutter/pkg-message
index aa335f9e26b8..f6a51b296790 100644
--- a/devel/cutter/pkg-message
+++ b/devel/cutter/pkg-message
@@ -1,7 +1,11 @@
-************************************************************************
+[
+{ type: install
+ message: <<EOM
Please note that code-coverage is not fully supported on FreeBSD and
cutter will crash when used to generate a report. The problem has been
reported upstream and no fix is available ATM. However, a workaround has
been found: adding the '--keep-opening-modules' argument to cutter's
command-line circumvents the problem.
-************************************************************************
+EOM
+}
+]
diff --git a/devel/cvsd/pkg-message b/devel/cvsd/pkg-message
index eef59c5deb84..636c785fdde6 100644
--- a/devel/cvsd/pkg-message
+++ b/devel/cvsd/pkg-message
@@ -1,4 +1,8 @@
-************************************************************
+[
+{ type: install
+ message: <<EOM
You should set up user and group ids for cvsd, create a
chrooted filesystem and create repositories.
-************************************************************
+EOM
+}
+]
diff --git a/devel/cvsgraph/files/pkg-message.in b/devel/cvsgraph/files/pkg-message.in
index 44cef12d96db..ec2a3e64c255 100644
--- a/devel/cvsgraph/files/pkg-message.in
+++ b/devel/cvsgraph/files/pkg-message.in
@@ -1,3 +1,8 @@
+[
+{ type: install
+ message: <<EOM
You must copy %%PREFIX%%/etc/cvsgraph.conf.sample to
%%PREFIX%%/etc/cvsgraph.conf in order to use cvsgraph.
-
+EOM
+}
+]
diff --git a/devel/cvsmonitor/pkg-message b/devel/cvsmonitor/pkg-message
index 29ca68af9d37..66e7d4aef8b6 100644
--- a/devel/cvsmonitor/pkg-message
+++ b/devel/cvsmonitor/pkg-message
@@ -1,7 +1,11 @@
-************************************************************
+[
+{ type: install
+ message: <<EOM
The rest of installation must be completed manually.
Type in your browser URL like
http://localhost/cgi-bin/cvsmonitor/setup.pl
and follow instructions.
-************************************************************
+EOM
+}
+]
diff --git a/devel/cvstrac/pkg-message b/devel/cvstrac/pkg-message
index a273a0878c11..22de4968205b 100644
--- a/devel/cvstrac/pkg-message
+++ b/devel/cvstrac/pkg-message
@@ -1,5 +1,10 @@
-
+[
+{ type: install
+ message: <<EOM
Please follow the detailed installation instructions in the CVSTrac
Wiki at http://www.cvstrac.org/cvstrac/wiki?p=CvstracInstallation
for information on how to get CVSTrac up and running in your preferred
configuration.
+EOM
+}
+]
diff --git a/devel/cvsweb/files/pkg-message.in b/devel/cvsweb/files/pkg-message.in
index 942d80831845..02fab79c6380 100644
--- a/devel/cvsweb/files/pkg-message.in
+++ b/devel/cvsweb/files/pkg-message.in
@@ -1,4 +1,6 @@
-************************************************************
+[
+{ type: install
+ message: <<EOM
Quickstart:
cd %%PREFIX%%/etc/cvsweb
cp cvsweb.conf.dist cvsweb.conf
@@ -12,4 +14,6 @@ browse, edit cvsweb.conf* as you like.
For further information, please look into the directory
`%%DOCSDIR%%'.
-************************************************************
+EOM
+}
+]
diff --git a/devel/cvsweb3/files/pkg-message.in b/devel/cvsweb3/files/pkg-message.in
index 942d80831845..02fab79c6380 100644
--- a/devel/cvsweb3/files/pkg-message.in
+++ b/devel/cvsweb3/files/pkg-message.in
@@ -1,4 +1,6 @@
-************************************************************
+[
+{ type: install
+ message: <<EOM
Quickstart:
cd %%PREFIX%%/etc/cvsweb
cp cvsweb.conf.dist cvsweb.conf
@@ -12,4 +14,6 @@ browse, edit cvsweb.conf* as you like.
For further information, please look into the directory
`%%DOCSDIR%%'.
-************************************************************
+EOM
+}
+]
diff --git a/devel/cweb/pkg-message b/devel/cweb/pkg-message
index 988901ea802c..94bed76a4a41 100644
--- a/devel/cweb/pkg-message
+++ b/devel/cweb/pkg-message
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
You'll want to install some TeX package along with this.
I recommend getting teTeX if you're not short on disk space.
+EOM
+}
+]
diff --git a/devel/distcc/files/pkg-message.in b/devel/distcc/files/pkg-message.in
index 808b7c530d6f..9c54309b3956 100644
--- a/devel/distcc/files/pkg-message.in
+++ b/devel/distcc/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
WARNING: distcc[d] performs NO AUTHENTICATION at all and should
ONLY be used in trusted networks!
@@ -24,3 +27,6 @@ instead override the value of distccd_flags in /etc/rc.conf.
Note that remote daemons currently won't work if they cannot
resolve the reverse DNS of the master machine
+EOM
+}
+]
diff --git a/devel/eiffelstudio/files/pkg-message.in b/devel/eiffelstudio/files/pkg-message.in
index 62158cecddc6..062f96bf7c6d 100644
--- a/devel/eiffelstudio/files/pkg-message.in
+++ b/devel/eiffelstudio/files/pkg-message.in
@@ -1,9 +1,11 @@
-==============================================================================
-
+[
+{ type: install
+ message: <<EOM
EiffelStudio has been installed.
Everything was installed under "%%DATADIR%%".
A wrapper script was also installed as "eiffelstudio".
-
-==============================================================================
+EOM
+}
+]
diff --git a/devel/eric6/pkg-message b/devel/eric6/pkg-message
index 74c13e9d6b14..9cf10be76e1d 100644
--- a/devel/eric6/pkg-message
+++ b/devel/eric6/pkg-message
@@ -1,4 +1,10 @@
+[
+{ type: install
+ message: <<EOM
eric6 has the following localized language packages:
de-eric6
es-eric6
ru-eric6
+EOM
+}
+]
diff --git a/devel/fam/files/pkg-message.in b/devel/fam/files/pkg-message.in
index 5c0c32f5887e..e18a45794f89 100644
--- a/devel/fam/files/pkg-message.in
+++ b/devel/fam/files/pkg-message.in
@@ -1,5 +1,6 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
1. In order to run this port, please add the following line to /etc/rpc if
it is not already there:
@@ -27,5 +28,6 @@ Add portmap_enable="YES" and either reboot or run /usr/sbin/portmap.
For 5.x and later:
Add rpcbind_enable="YES" and either reboot or run /etc/rc.d/rpcbind start.
-
-************************************************************************
+EOM
+}
+]
diff --git a/devel/fistgen/files/pkg-message.in b/devel/fistgen/files/pkg-message.in
index 1292a48ef4d4..8d8dfaef5d64 100644
--- a/devel/fistgen/files/pkg-message.in
+++ b/devel/fistgen/files/pkg-message.in
@@ -1,5 +1,6 @@
-============================================================================
-
+[
+{ type: install
+ message: <<EOM
Templates were installed in %%DATADIR%%.
Examples were installed in %%EXAMPLESDIR%%.
@@ -17,5 +18,6 @@ Then you can chdir to out/OS-VER/FSNAME and type 'make'.
See %%DOCSDIR%%/README, %%DOCSDIR%%/INSTALL
and http://www.filesystems.org for further instructions.
-
-============================================================================
+EOM
+}
+]
diff --git a/devel/flyspray/files/pkg-message.in b/devel/flyspray/files/pkg-message.in
index 16fa40397b21..d814150ab343 100644
--- a/devel/flyspray/files/pkg-message.in
+++ b/devel/flyspray/files/pkg-message.in
@@ -1,7 +1,9 @@
-##
-
+[
+{ type: install
+ message: <<EOM
Please read the installation instructions in:
%%DOCSDIR%%/README.FreeBSD
-
-##
+EOM
+}
+]
diff --git a/devel/gamin/pkg-message b/devel/gamin/pkg-message
index 32525db575bf..d4c44bba2485 100644
--- a/devel/gamin/pkg-message
+++ b/devel/gamin/pkg-message
@@ -1,5 +1,6 @@
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
Gamin will only provide realtime notification of changes for at most n files,
where n is the minimum value between (kern.maxfiles * 0.7) and
(kern.maxfilesperproc - 200). Beyond that limit, files will be polled.
@@ -17,5 +18,6 @@ in one of the gaminrc files:
# reduce polling frequency to once per 10 seconds
# for UFS file systems in order to lower CPU load
fsset ufs poll 10
-
-===============================================================================
+EOM
+}
+]
diff --git a/devel/git-lfs/pkg-message b/devel/git-lfs/pkg-message
index e667e2877fe4..dfeb1778fc63 100644
--- a/devel/git-lfs/pkg-message
+++ b/devel/git-lfs/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To get started with Git LFS, the following commands can be used:
1. Setup Git LFS on your system. You only have to do this once per
@@ -20,3 +23,6 @@ To get started with Git LFS, the following commands can be used:
$ git add file.iso
$ git commit -m "Add disk image"
$ git push
+EOM
+}
+]
diff --git a/devel/git-merge-changelog/pkg-message b/devel/git-merge-changelog/pkg-message
index 24f30a6e287e..0c131b0a1837 100644
--- a/devel/git-merge-changelog/pkg-message
+++ b/devel/git-merge-changelog/pkg-message
@@ -1,4 +1,6 @@
-************************************************************************
+[
+{ type: install
+ message: <<EOM
Usage of git-merge-changelog:
- Add to .git/config of the checkout (or to your $HOME/.gitconfig) the
@@ -12,5 +14,6 @@ Usage of git-merge-changelog:
'.gitattributes' with this line:
ChangeLog merge=merge-changelog
-
-************************************************************************
+EOM
+}
+]
diff --git a/devel/git/files/pkg-message.in b/devel/git/files/pkg-message.in
index 58161b5fb898..8b0c589f29e1 100644
--- a/devel/git/files/pkg-message.in
+++ b/devel/git/files/pkg-message.in
@@ -1,6 +1,6 @@
-
-------------------------------------------------------------------------
-*************************** GITWEB *************************************
+[
+{ type: install
+ message: <<EOM
If you installed the GITWEB option please follow these instructions:
In the directory %%EXAMPLESDIR%%/gitweb you can find all files to
@@ -12,13 +12,12 @@ All you have to do to make gitweb work is:
2) Set the GITWEB_CONFIG variable in your webserver's config to
%%ETCDIR%%/gitweb.conf. This variable is passed to gitweb.cgi.
3) Restart server.
-*************************** GITWEB *************************************
-*************************** CONTRIB ************************************
+
If you installed the CONTRIB option please note that the scripts are
installed in %%PREFIX%%/share/git-core/contrib. Some of them require
other ports to be installed (perl, python, etc), which you may need to
install manually.
-*************************** CONTRIB ************************************
-------------------------------------------------------------------------
-
+EOM
+}
+]
diff --git a/devel/git/pkg-message b/devel/git/pkg-message
index bfe04b2ce36b..eca9e829fc55 100644
--- a/devel/git/pkg-message
+++ b/devel/git/pkg-message
@@ -1,4 +1,6 @@
--------------------------------------------------------------------------------
+[
+{ type: install
+ message: <<EOM
git is installed.
You might wish to configure git for your user (author) name and email.
@@ -8,5 +10,6 @@ applied) please consult the core.pager option in the git-config(1) manual, and
your preferred pager's manual for color output options.
bash completion script was renamed to git-completion.bash to keep original name
-
--------------------------------------------------------------------------------
+EOM
+}
+]
diff --git a/devel/gitblit/files/pkg-message.in b/devel/gitblit/files/pkg-message.in
index bb224b44852b..7086afcbf6f9 100644
--- a/devel/gitblit/files/pkg-message.in
+++ b/devel/gitblit/files/pkg-message.in
@@ -1,5 +1,6 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
By default, Gitblit stores all data (users, settings,
repositories, etc) in ${contextFolder}/WEB-INF/data.
Specifying an alternate "baseFolder" allows for simple
@@ -20,5 +21,6 @@
More informations:
http://gitblit.com/setup_war.html
-
-************************************************************************
+EOM
+}
+]
diff --git a/devel/github-backup-utils/files/pkg-message.in b/devel/github-backup-utils/files/pkg-message.in
index c573599d967c..74fc911ab738 100644
--- a/devel/github-backup-utils/files/pkg-message.in
+++ b/devel/github-backup-utils/files/pkg-message.in
@@ -1,3 +1,7 @@
-=====================================================================
+[
+{ type: install
+ message: <<EOM
Review and update %%PREFIX%%/etc/github.backup.config for your needs.
-=====================================================================
+EOM
+}
+]
diff --git a/devel/gitlab-runner/pkg-message b/devel/gitlab-runner/pkg-message
index aafc321ef1af..1ce33d9a600b 100644
--- a/devel/gitlab-runner/pkg-message
+++ b/devel/gitlab-runner/pkg-message
@@ -1,4 +1,6 @@
-==============================================================================
+[
+{ type: install
+ message: <<EOM
To enable gitlab-runner:
sysrc gitlab_runner_enable=yes
@@ -14,4 +16,6 @@ To register with GitLab:
To list status of GitLab:
service gitlab_runner list
-==============================================================================
+EOM
+}
+]
diff --git a/devel/gitlist/files/pkg-message.in b/devel/gitlist/files/pkg-message.in
index bbfddfbb97f9..a921ff5b0e35 100644
--- a/devel/gitlist/files/pkg-message.in
+++ b/devel/gitlist/files/pkg-message.in
@@ -1,5 +1,11 @@
+[
+{ type: install
+ message: <<EOM
The port will install an htdocs dir %%WWWDIR%%.
Copy %%WWWDIR%%/config.ini-example
to %%WWWDIR%%/config.ini and
edit it to make it use your git repositories.
Then configure your webserver to use the htdocs directory.
+EOM
+}
+]
diff --git a/devel/gitolite2/files/pkg-message.in b/devel/gitolite2/files/pkg-message.in
index e385c83b2712..cc3f30a15b84 100644
--- a/devel/gitolite2/files/pkg-message.in
+++ b/devel/gitolite2/files/pkg-message.in
@@ -1,5 +1,6 @@
-==============================================================================
-
+[
+{ type: install
+ message: <<EOM
Final gitolite installation instructions:
Any ssh user can be a gitolite provider. Simply run the following command as
@@ -14,5 +15,6 @@ The admin ssh key allows full access to the gitolite-admin repository where
additional users and repositories can be configured.
By default, the git user is created for use by gitolite.
-
-==============================================================================
+EOM
+}
+]
diff --git a/devel/gitphp/files/pkg-message.in b/devel/gitphp/files/pkg-message.in
index 17146e4bd901..eff9c2bedcb7 100644
--- a/devel/gitphp/files/pkg-message.in
+++ b/devel/gitphp/files/pkg-message.in
@@ -1,4 +1,6 @@
-*****************************************************************
+[
+{ type: install
+ message: <<EOM
You will also need to configure Apache. Consider adding the following to
your httpd.conf:
@@ -13,4 +15,6 @@ Then restart Apache: 'apachectl graceful'
Then visit 'http://localhost/gitphp/' in a web-browser and follow the
configuration instructions.
-*****************************************************************
+EOM
+}
+]
diff --git a/devel/gittrac/pkg-message b/devel/gittrac/pkg-message
index ef086b2c917c..50118157bbb1 100644
--- a/devel/gittrac/pkg-message
+++ b/devel/gittrac/pkg-message
@@ -1,4 +1,9 @@
-
+[
+{ type: install
+ message: <<EOM
Please follow the detailed installation instructions in the CVSTrac
Wiki at http://www.cvstrac.org/cvstrac/wiki?p=GitTrac for information
on how to get GitTrac up and running in your preferred configuration.
+EOM
+}
+]
diff --git a/devel/gnustep/pkg-message b/devel/gnustep/pkg-message
index e3c7e7785bfd..66260dbd285c 100644
--- a/devel/gnustep/pkg-message
+++ b/devel/gnustep/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To use GNUstep you need to source the envoroment in your shell:
for sh/bash:
@@ -7,3 +10,6 @@ for csh:
source /usr/local/GNUstep/System/Library/Makefiles/GNUstep.csh
then start your applications with "openapp <name>".
+EOM
+}
+]
diff --git a/devel/godot2-tools/pkg-message b/devel/godot2-tools/pkg-message
index c49ffaf7bf31..7c267f80109a 100644
--- a/devel/godot2-tools/pkg-message
+++ b/devel/godot2-tools/pkg-message
@@ -1,7 +1,11 @@
-============================================================
+[
+{ type: install
+ message: <<EOM
This is the old v2 of godot and is only for compatability
to be able to work on older projects.
If you are planning any development in godot
please install the newer v3 version in devel/godot-tools
-============================================================
+EOM
+}
+]
diff --git a/devel/gogland-eap/files/pkg-message.in b/devel/gogland-eap/files/pkg-message.in
index 8333c38cb0ac..1e6f444bc43f 100644
--- a/devel/gogland-eap/files/pkg-message.in
+++ b/devel/gogland-eap/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
There is experimental native (faster) file watching support which is
disabled by default. Currently there are problems with watching large
trees. To enable edit %%DATADIR%%/bin/idea.properties and append
@@ -6,3 +9,6 @@ trees. To enable edit %%DATADIR%%/bin/idea.properties and append
idea.filewatcher.executable.path=%%IDEA_HOME%%/bin/fsnotifier
Only enable fsnotifier if your projects have < 600 files.
+EOM
+}
+]
diff --git a/devel/gogs/files/pkg-message.in b/devel/gogs/files/pkg-message.in
index 74418c6bd9c2..22a6dfd3d9d1 100644
--- a/devel/gogs/files/pkg-message.in
+++ b/devel/gogs/files/pkg-message.in
@@ -1,4 +1,6 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
You installed %%PORTNAME%%: Go Git Service.
It is recommended to run %%PORTNAME%% as a service:
@@ -20,4 +22,6 @@ You can only edit it when %%PORTNAME%% isn't running.
sysrc sshd_enable="YES"
and sshd is configured to listen on the same port that is configured
in %%PORTNAME%%.
-======================================================================
+EOM
+}
+]
diff --git a/devel/hg-git/pkg-message b/devel/hg-git/pkg-message
index 8b74b540e087..f1b389b94d5f 100644
--- a/devel/hg-git/pkg-message
+++ b/devel/hg-git/pkg-message
@@ -1,5 +1,6 @@
-====
-
+[
+{ type: install
+ message: <<EOM
To enable the Hg-Git extension it has to be added in either
'$PREFIX/etc/mercurial/hgrc' (per-system),
@@ -10,5 +11,6 @@ Mercurial configuration file:
[extensions]
hggit =
-
-====
+EOM
+}
+]
diff --git a/devel/ice/pkg-message b/devel/ice/pkg-message
index 3466b4653e8b..76d28647fd19 100644
--- a/devel/ice/pkg-message
+++ b/devel/ice/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The default on-the-wire encoding for Ice changed in version 3.5 and IPv6
is now enabled by default. ABI versions are not compatible.
@@ -12,3 +15,6 @@ For on-the-wire background compatibility add
Ice.Default.EncodingVersion=1.0
to your Ice application configuration.
+EOM
+}
+]
diff --git a/devel/interactive_rebase_tool/pkg-message b/devel/interactive_rebase_tool/pkg-message
index 2a8020d429cb..422df334a910 100644
--- a/devel/interactive_rebase_tool/pkg-message
+++ b/devel/interactive_rebase_tool/pkg-message
@@ -1,4 +1,10 @@
+[
+{ type: install
+ message: <<EOM
To configure Git to use interactive-rebase-tool for interactive
rebasing by default, run:
git config --global sequence.editor interactive-rebase-tool
+EOM
+}
+]
diff --git a/devel/ioncube/files/pkg-message.in b/devel/ioncube/files/pkg-message.in
index d431bfd1ba4c..a02d70c90b8d 100644
--- a/devel/ioncube/files/pkg-message.in
+++ b/devel/ioncube/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
You have installed the ionCube loader package.
The following lines have been added to %%PREFIX%%/etc/php/ext-05-ioncube.ini so
@@ -6,3 +9,6 @@ that the extension has been automatically activated.
[Zend]
zend_extension=%%PREFIX%%/lib/php/%%PHP_EXT_DIR%%/ioncube/ioncube_loader.so
zend_extension_ts=%%PREFIX%%/lib/php/%%PHP_EXT_DIR%%/ioncube/ioncube_loader_ts.so
+EOM
+}
+]
diff --git a/devel/jenkins-lts/pkg-message b/devel/jenkins-lts/pkg-message
index 3c598e9faf06..47ecbe73eefd 100644
--- a/devel/jenkins-lts/pkg-message
+++ b/devel/jenkins-lts/pkg-message
@@ -1,10 +1,12 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
Please login to the Jenkins web interface and secure with a password,
when installing for the first time.
More information:
https://wiki.jenkins-ci.org/display/JENKINS/Quick+and+Simple+Security
https://wiki.jenkins-ci.org/display/JENKINS/Standard+Security+Setup
-
-************************************************************************
+EOM
+}
+]
diff --git a/devel/jenkins/pkg-message b/devel/jenkins/pkg-message
index 3c598e9faf06..47ecbe73eefd 100644
--- a/devel/jenkins/pkg-message
+++ b/devel/jenkins/pkg-message
@@ -1,10 +1,12 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
Please login to the Jenkins web interface and secure with a password,
when installing for the first time.
More information:
https://wiki.jenkins-ci.org/display/JENKINS/Quick+and+Simple+Security
https://wiki.jenkins-ci.org/display/JENKINS/Standard+Security+Setup
-
-************************************************************************
+EOM
+}
+]
diff --git a/devel/jetbrains-clion/files/pkg-message.in b/devel/jetbrains-clion/files/pkg-message.in
index b351c8f258e8..00e6bc5fc93a 100644
--- a/devel/jetbrains-clion/files/pkg-message.in
+++ b/devel/jetbrains-clion/files/pkg-message.in
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
There is native (faster) file watching support backed by kqueue which is
enabled by default. If you encounter problems problems with watching large
trees, you disable it by appending the following property into
%%DATADIR%%/bin/idea.properties:
idea.filewatcher.disabled=true
+EOM
+}
+]
diff --git a/devel/jetbrains-goland/files/pkg-message.in b/devel/jetbrains-goland/files/pkg-message.in
index b351c8f258e8..00e6bc5fc93a 100644
--- a/devel/jetbrains-goland/files/pkg-message.in
+++ b/devel/jetbrains-goland/files/pkg-message.in
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
There is native (faster) file watching support backed by kqueue which is
enabled by default. If you encounter problems problems with watching large
trees, you disable it by appending the following property into
%%DATADIR%%/bin/idea.properties:
idea.filewatcher.disabled=true
+EOM
+}
+]
diff --git a/devel/jetbrains-phpstorm/files/pkg-message.in b/devel/jetbrains-phpstorm/files/pkg-message.in
index b351c8f258e8..00e6bc5fc93a 100644
--- a/devel/jetbrains-phpstorm/files/pkg-message.in
+++ b/devel/jetbrains-phpstorm/files/pkg-message.in
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
There is native (faster) file watching support backed by kqueue which is
enabled by default. If you encounter problems problems with watching large
trees, you disable it by appending the following property into
%%DATADIR%%/bin/idea.properties:
idea.filewatcher.disabled=true
+EOM
+}
+]
diff --git a/devel/jetbrains-webstorm/files/pkg-message.in b/devel/jetbrains-webstorm/files/pkg-message.in
index b351c8f258e8..00e6bc5fc93a 100644
--- a/devel/jetbrains-webstorm/files/pkg-message.in
+++ b/devel/jetbrains-webstorm/files/pkg-message.in
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
There is native (faster) file watching support backed by kqueue which is
enabled by default. If you encounter problems problems with watching large
trees, you disable it by appending the following property into
%%DATADIR%%/bin/idea.properties:
idea.filewatcher.disabled=true
+EOM
+}
+]
diff --git a/devel/jline/files/pkg-message.in b/devel/jline/files/pkg-message.in
index f18bb7aa2243..16cfea791269 100644
--- a/devel/jline/files/pkg-message.in
+++ b/devel/jline/files/pkg-message.in
@@ -1,5 +1,9 @@
----------------------------------------
+[
+{ type: install
+ message: <<EOM
To use JLine add the file
%%JAVAJARDIR%%/jline.jar
to your classpath!
----------------------------------------
+EOM
+}
+]
diff --git a/devel/kronosnet/pkg-message b/devel/kronosnet/pkg-message
index 4f22785ea3d9..4d3b8a9b5af7 100644
--- a/devel/kronosnet/pkg-message
+++ b/devel/kronosnet/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
For correct operation, maximum socket buffer size must be tuned
by performing the following command as root :
@@ -7,3 +10,6 @@ To preserve this setting across reboots, append the following
to /etc/sysctl.conf :
kern.ipc.maxsockbuf=18874368
+EOM
+}
+]
diff --git a/devel/libaravis/pkg-message b/devel/libaravis/pkg-message
index 134431da116f..9e6cb319dbf5 100644
--- a/devel/libaravis/pkg-message
+++ b/devel/libaravis/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Aravis require broadcast to find devices.
Dont forget run:
@@ -8,3 +11,6 @@ static_routes="bcast:lan0"
route_bcast="255.255.255.255 -iface lan0"
where lan0 - network interface name.
+EOM
+}
+]
diff --git a/devel/libburn/pkg-message b/devel/libburn/pkg-message
index d573126b96a3..c366fecbdb86 100644
--- a/devel/libburn/pkg-message
+++ b/devel/libburn/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
You will need to enable CAM support in the kernel. Your kernel
configuation should include:
for SCSI CD/DVD devices:
@@ -14,3 +17,6 @@ In /etc/devfs.rules, add the following:
add path 'cd*' mode 0666
add path 'pass*' mode 0666
add path 'xpt*' mode 0666
+EOM
+}
+]
diff --git a/devel/libdlmalloc/pkg-message b/devel/libdlmalloc/pkg-message
index 5fef536e12d7..af62d92f7eb7 100644
--- a/devel/libdlmalloc/pkg-message
+++ b/devel/libdlmalloc/pkg-message
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
Please see http://g.oswego.edu/dl/html/malloc.html or the distribution file
(malloc-<ver>.c) for documenation on the use of Doug Lea's malloc library.
+EOM
+}
+]
diff --git a/devel/libgtop/files/pkg-message b/devel/libgtop/files/pkg-message
index dacaf62a9c39..0c0d2efec8a9 100644
--- a/devel/libgtop/files/pkg-message
+++ b/devel/libgtop/files/pkg-message
@@ -1,5 +1,6 @@
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
In order to use the File System read/write monitor, you must chmod
/dev/devstat so that all users can open it read-only. For example:
@@ -9,5 +10,6 @@ In order for this to persist across reboots, add the following to
/etc/devfs.conf:
perm devstat 0444
-
-===============================================================================
+EOM
+}
+]
diff --git a/devel/libinotify/pkg-message b/devel/libinotify/pkg-message
index 50a688d8621f..e2862709c827 100644
--- a/devel/libinotify/pkg-message
+++ b/devel/libinotify/pkg-message
@@ -1,5 +1,6 @@
-============================================================================
-
+[
+{ type: install
+ message: <<EOM
Libinotify functionality on FreeBSD is missing support for
- detecting a file being moved into or out of a directory within the
@@ -32,8 +33,9 @@ notifications are available from:
https://github.com/libinotify-kqueue/libinotify-kqueue/tree/master/patches
-=============================================================================
You might want to consider increasing the kern.maxfiles tunable if you plan
to use this library for applications that need to monitor activity of a lot
of files.
-=============================================================================
+EOM
+}
+]
diff --git a/devel/liblognorm/files/pkg-message.in b/devel/liblognorm/files/pkg-message.in
index 3f92c6d0fa75..d7322863a023 100644
--- a/devel/liblognorm/files/pkg-message.in
+++ b/devel/liblognorm/files/pkg-message.in
@@ -1,7 +1,7 @@
-***********************************************************************
-
-WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-
+[
+{ type: upgrade
+ maximum_versio: 0.3.8
+ message: <<EOM
The previous version of liblognorm (0.3.7) used the libee CEE support
library in its API.
@@ -13,7 +13,6 @@ no way to avoid that, obviously...).
The current library is the result of that effort. Application developers
are encouraged to switch to this version, as it provides the benefit of
a simpler API. PREVIOUS VERSIONS ARE INCOMPATIBLE WITH THIS ONE
-
-WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
-
-***********************************************************************
+EOM
+}
+]
diff --git a/devel/libnxt/files/pkg-message.in b/devel/libnxt/files/pkg-message.in
index b5a3721e16fc..2f07ea4fa093 100644
--- a/devel/libnxt/files/pkg-message.in
+++ b/devel/libnxt/files/pkg-message.in
@@ -1,7 +1,10 @@
-
--------------------------------------------------------------------------
+[
+{ type: install
+ message: <<EOM
Using libnxt in your programs will require the following compile options:
-I%%PREFIX%%/include/libnxt
-L%%PREFIX%%/lib -lnxt
--------------------------------------------------------------------------
+EOM
+}
+]
diff --git a/devel/libopensync/pkg-message b/devel/libopensync/pkg-message
index 734892f05e6d..6f6dafc19bec 100644
--- a/devel/libopensync/pkg-message
+++ b/devel/libopensync/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Think about using a multisync-gui, start by trying to sync your various devices
and applications one by one with a directory; then try to assemble the devices
in the way you want.
@@ -6,3 +9,6 @@ Do not disable the syncing of data, as it disables syncing everything.
See http://www.opensync.org/wiki/DeviceCompatibilityList for a list of
compatible devices.
+EOM
+}
+]
diff --git a/devel/libpasori/pkg-message b/devel/libpasori/pkg-message
index 14de2c8bebd7..46c74fbdd614 100644
--- a/devel/libpasori/pkg-message
+++ b/devel/libpasori/pkg-message
@@ -1,3 +1,7 @@
-******************************************************************************
+[
+{ type: install
+ message: <<EOM
Place your FeliCa card on PaSoRi before executing commands.
-******************************************************************************
+EOM
+}
+]
diff --git a/devel/libreadline-java/files/pkg-message.in b/devel/libreadline-java/files/pkg-message.in
index 4c02f1058fae..52a0cdc4ce53 100644
--- a/devel/libreadline-java/files/pkg-message.in
+++ b/devel/libreadline-java/files/pkg-message.in
@@ -1,5 +1,9 @@
---------------------------------------------------
+[
+{ type: install
+ message: <<EOM
To use readline-java add the file
%%JAVAJARDIR%%/libreadline-java.jar
to your classpath!
---------------------------------------------------
+EOM
+}
+]
diff --git a/devel/libsigsegv/pkg-message b/devel/libsigsegv/pkg-message
index 048af0dadff5..2a9094bbc92c 100644
--- a/devel/libsigsegv/pkg-message
+++ b/devel/libsigsegv/pkg-message
@@ -1,4 +1,8 @@
-====
+[
+{ type: install
+ message: <<EOM
Note that the stackoverflow handling functions of this library need
procfs mounted on /proc.
-====
+EOM
+}
+]
diff --git a/devel/libvirt/files/pkg-message.in b/devel/libvirt/files/pkg-message.in
index 4c40cb26220c..22c44f7ed7a3 100644
--- a/devel/libvirt/files/pkg-message.in
+++ b/devel/libvirt/files/pkg-message.in
@@ -1,4 +1,6 @@
-
+[
+{ type: install
+ message: <<EOM
To enable libvirtd please add libvirtd_enable="YES" to
/etc/rc.conf.
@@ -25,3 +27,6 @@ to take effect.
%%BHYVE%% or:
%%BHYVE%% http://libvirt.org/drvbhyve.html
%%BHYVE%%
+EOM
+}
+]
diff --git a/devel/linux-ltp/pkg-message b/devel/linux-ltp/pkg-message
index f37e8dd185b0..d00c33993032 100644
--- a/devel/linux-ltp/pkg-message
+++ b/devel/linux-ltp/pkg-message
@@ -1,7 +1,12 @@
+[
+{ type: install
+ message: <<EOM
To run the LTP test suite, execute, as root:
kldload linux linux64
mount -t linsysfs linsysfs /compat/linux/sys
mount -t linprocfs linprocfs /compat/linux/proc
chroot /compat/linux /opt/ltp/runltp -Q
-
+EOM
+}
+]
diff --git a/devel/magit/pkg-message b/devel/magit/pkg-message
index f4a23d6a21b1..c9bce0ac8361 100644
--- a/devel/magit/pkg-message
+++ b/devel/magit/pkg-message
@@ -1,6 +1,9 @@
-**********************************************************************
+[
+{ type: install
+ message: <<EOM
To use Magit, you should add following line to your .emacs file:
(require 'magit)
-
-**********************************************************************
+EOM
+}
+]
diff --git a/devel/mercurial/files/pkg-message.in b/devel/mercurial/files/pkg-message.in
index 1c3fb24eb795..6c3fa727042f 100644
--- a/devel/mercurial/files/pkg-message.in
+++ b/devel/mercurial/files/pkg-message.in
@@ -1,7 +1,11 @@
-====
+[
+{ type: install
+ message: <<EOM
Note that we now install a few more files in %%PREFIX%%/share/mercurial:
- shell completion scripts (bash, tcsh and zsh)
- FastCGI / WSGI scripts for web access to repositories
see http://www.mercurial-scm.org/wiki/PublishingRepositories
- various documentation files
-====
+EOM
+}
+]
diff --git a/devel/monotone/files/pkg-message.in b/devel/monotone/files/pkg-message.in
index 9de90e2a8e0c..7d168f8fff83 100644
--- a/devel/monotone/files/pkg-message.in
+++ b/devel/monotone/files/pkg-message.in
@@ -1,4 +1,8 @@
-*****************************************************************************
+[
+{ type: install
+ message: <<EOM
You have installed the monotone package. For users who are upgrating monotone,
please read %%DOCSDIR%%/UPGRADE for upgrade instructions.
-*****************************************************************************
+EOM
+}
+]
diff --git a/devel/msp430-debug-stack/files/pkg-message.in b/devel/msp430-debug-stack/files/pkg-message.in
index af7ea92a598e..c7698518c5da 100644
--- a/devel/msp430-debug-stack/files/pkg-message.in
+++ b/devel/msp430-debug-stack/files/pkg-message.in
@@ -1,8 +1,10 @@
--------------------------------------------------------------------------
-
+[
+{ type: install
+ message: <<EOM
When plugging in FET debuggers a symlink will be created from
the corresponding cuaU device to mspfetXX with XX being the
product number (see mspfet.conf).
Only a single instance of each FET product is supported.
-
--------------------------------------------------------------------------
+EOM
+}
+]
diff --git a/devel/nexus2-oss/files/pkg-message.in b/devel/nexus2-oss/files/pkg-message.in
index 3ef7c7c7d7ef..60dd2b310d1d 100644
--- a/devel/nexus2-oss/files/pkg-message.in
+++ b/devel/nexus2-oss/files/pkg-message.in
@@ -1,4 +1,6 @@
-========================================================================
+[
+{ type: install
+ message: <<EOM
Nexus Repository Manager OSS %%VERSION%% has been successfully installed!
To enable Nexus, add the following line to /etc/rc.conf[.local]:
@@ -28,4 +30,6 @@ Documentation
=============
Further documentation can be found in the official Nexus Book at:
https://books.sonatype.com/nexus-book/%%BOOKVERSION%%/reference/index.html
-========================================================================
+EOM
+}
+]
diff --git a/devel/oozie/files/pkg-message.in b/devel/oozie/files/pkg-message.in
index 7ef1a7a2d9f0..912b6912c9e7 100644
--- a/devel/oozie/files/pkg-message.in
+++ b/devel/oozie/files/pkg-message.in
@@ -1,3 +1,8 @@
-
+[
+{ type: install
+ message: <<EOM
Oozie was installed into %%PREFIX%%/oozie directory. Consider adding
%%PREFIX%%/oozie/bin to your $PATH.
+EOM
+}
+]
diff --git a/devel/opencl/pkg-message b/devel/opencl/pkg-message
index fc2135da3e2b..f9028c1e973f 100644
--- a/devel/opencl/pkg-message
+++ b/devel/opencl/pkg-message
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
OpenCL is the first open, royalty-free standard for cross-platform,
parallel programming of modern processors.
+EOM
+}
+]
diff --git a/devel/openocd/pkg-message b/devel/openocd/pkg-message
index b2883a39ea2c..1f20e5f3fb7e 100644
--- a/devel/openocd/pkg-message
+++ b/devel/openocd/pkg-message
@@ -1,5 +1,6 @@
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
OpenOCD is now installed, this software can damage your hardware, enjoy!
User's guide is at:
@@ -20,5 +21,6 @@ FreeBSD USB NOTE:
***/etc/rc.conf:
devfs_system_ruleset="localrules"
-
-===============================================================================
+EOM
+}
+]
diff --git a/devel/p5-Heap-Simple/pkg-message b/devel/p5-Heap-Simple/pkg-message
index 1d35356dd29a..762be4fcadf5 100644
--- a/devel/p5-Heap-Simple/pkg-message
+++ b/devel/p5-Heap-Simple/pkg-message
@@ -1,11 +1,12 @@
-
-******************************************************************************
-
+[
+{ type: install
+ message: <<EOM
This module is useless by itself! It requires one or both of:
- devel/p5-Heap-Simple-Perl (a pure perl implementation of the interface)
- devel/p5-Heap-Simple-XS (an XS implementation of the interface.)
Please take the time to install one or both of these now.
-
-******************************************************************************
+EOM
+}
+]
diff --git a/devel/p5-Moose/pkg-message b/devel/p5-Moose/pkg-message
index 61b0b7812ccf..3cf52b6a75c3 100644
--- a/devel/p5-Moose/pkg-message
+++ b/devel/p5-Moose/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Note that this release of p5-Moose is incompatible with
older versions of the following modules:
@@ -29,3 +32,6 @@ older versions of the following modules:
Pod::Elemental <= 0.093280
They will need to be updated.
+EOM
+}
+]
diff --git a/devel/p5-ResourcePool/pkg-message b/devel/p5-ResourcePool/pkg-message
index c885f969ed79..3ae5a5eb8508 100644
--- a/devel/p5-ResourcePool/pkg-message
+++ b/devel/p5-ResourcePool/pkg-message
@@ -1,8 +1,10 @@
-==============================================================================
-
+[
+{ type: install
+ message: <<EOM
From this version 1.0000 on, the p5-ResourcePool package will not contain
resource bindings anymore. The previously included bindings for
DBI and Net::LDAP are available in the databases/p5-ResourcePool-Resource-DBI
and net/p5-ResourcePool-Resource-Net-LDAP ports.
-
-==============================================================================
+EOM
+}
+]
diff --git a/devel/p5-SVN-Web/pkg-message b/devel/p5-SVN-Web/pkg-message
index ecf1d5114471..442b8a75b147 100644
--- a/devel/p5-SVN-Web/pkg-message
+++ b/devel/p5-SVN-Web/pkg-message
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
After install, use svnweb-install to configure SVN::Web.
Use perldoc SVN::Web for more information.
+EOM
+}
+]
diff --git a/devel/papi/pkg-message b/devel/papi/pkg-message
index 441d4f2d21fa..f7cba7768dad 100644
--- a/devel/papi/pkg-message
+++ b/devel/papi/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
In order to get PAPI working on this machine you must setup a kernel with
* options HWPMC_HOOKS
@@ -9,3 +12,6 @@ Or load hwpmc module manually:
Additionally, for i386 systems you need:
* device apic
+EOM
+}
+]
diff --git a/devel/pcsc-lite/files/pkg-message.in b/devel/pcsc-lite/files/pkg-message.in
index 23858dce17ca..c67dca1a8fd6 100644
--- a/devel/pcsc-lite/files/pkg-message.in
+++ b/devel/pcsc-lite/files/pkg-message.in
@@ -1,5 +1,6 @@
-------------------------------------------------------------------------
-
+[
+{ type: install
+ message: <<EOM
PC/SC-Lite has been installed.
You need to install a driver for your smartcard reader e.g.,
@@ -22,5 +23,6 @@ detach 100 {
device-name "ugen[0-9]+";
action "%%PREFIX%%/sbin/pcscd -H";
};
-
-------------------------------------------------------------------------
+EOM
+}
+]
diff --git a/devel/pecl-xdebug/files/pkg-message.in b/devel/pecl-xdebug/files/pkg-message.in
index 40b8ca11dcb6..52bfa3315ea8 100644
--- a/devel/pecl-xdebug/files/pkg-message.in
+++ b/devel/pecl-xdebug/files/pkg-message.in
@@ -1,4 +1,6 @@
-*****************************************************************************
+[
+{ type: install
+ message: <<EOM
The php debugger 'xdebug' has been installed successful.
Add a line containing
@@ -17,5 +19,6 @@ Add following section to enable profiling:
xdebug.profiler_enable = 1
xdebug.profiler_output_dir = /tmp/profiler
-
-*****************************************************************************
+EOM
+}
+]
diff --git a/devel/phabricator/files/pkg-message.in b/devel/phabricator/files/pkg-message.in
index 5c0291d96ac6..2130c4cd6b90 100644
--- a/devel/phabricator/files/pkg-message.in
+++ b/devel/phabricator/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To run the phabricator daemons from startup, add phd_enable="YES"
to /etc/rc.conf. You can control the daemons using
@@ -70,3 +73,6 @@ Match User git
PermitTunnel no
X11Forwarding no
========================================================================
+EOM
+}
+]
diff --git a/devel/php-libawl/pkg-message b/devel/php-libawl/pkg-message
index 071f37bbdc6e..0b7764385fc4 100644
--- a/devel/php-libawl/pkg-message
+++ b/devel/php-libawl/pkg-message
@@ -1,7 +1,8 @@
-
-#########################################################
-
+[
+{ type: install
+ message: <<EOM
you can customize the installation directory"
by setting LIBAWLDIR in /etc/make.conf"
-
-#########################################################
+EOM
+}
+]
diff --git a/devel/phpbt/files/pkg-message.in b/devel/phpbt/files/pkg-message.in
index 6a0047aa6437..021e4c221fe5 100644
--- a/devel/phpbt/files/pkg-message.in
+++ b/devel/phpbt/files/pkg-message.in
@@ -1,5 +1,6 @@
-==========================================================================
-
+[
+{ type: install
+ message: <<EOM
FreeBSD phpBugTracker installation instructions:
Optional: Install JpGraph (http://www.aditus.nu/jpgraph/) if you
@@ -18,5 +19,6 @@ wish to use it.
* Note: You must have magic_quotes_gpc set to On either in php.ini
or in .htaccess (see http://www.php.net/manual/en/configuration.php
for more info).
-
-==========================================================================
+EOM
+}
+]
diff --git a/devel/phpsh/pkg-message b/devel/phpsh/pkg-message
index 5c04a41266ee..0c8f7ec5db97 100644
--- a/devel/phpsh/pkg-message
+++ b/devel/phpsh/pkg-message
@@ -1,5 +1,7 @@
-==============================================================================
-
+[
+{ type: install
+ message: <<EOM
GEBEN functionality included in phpsh is not tested yet. Patches are welcome.
-
-==============================================================================
+EOM
+}
+]
diff --git a/devel/plasma/pkg-message b/devel/plasma/pkg-message
index 7a228357c758..e43151934914 100644
--- a/devel/plasma/pkg-message
+++ b/devel/plasma/pkg-message
@@ -1,11 +1,12 @@
-
-==============================================================================
-
+[
+{ type: install
+ message: <<EOM
To use the visual mode (command 'v' in the interactive mode) the terminal must
support 256 colors.
For xterm this can be enabled by
export TERM=xterm-256color
-
-==============================================================================
+EOM
+}
+]
diff --git a/devel/pmdk/pkg-message b/devel/pmdk/pkg-message
index 3926b82bbe9a..bf36b8906bf7 100644
--- a/devel/pmdk/pkg-message
+++ b/devel/pmdk/pkg-message
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
pmdk requires procfs(5). Add this line to your fstab(5):
proc /proc procfs rw 0 0
+EOM
+}
+]
diff --git a/devel/psvn/pkg-message b/devel/psvn/pkg-message
index 4a4a93efa6e2..648032ace712 100644
--- a/devel/psvn/pkg-message
+++ b/devel/psvn/pkg-message
@@ -1,5 +1,11 @@
+[
+{ type: install
+ message: <<EOM
To use psvn, add the following line to your ~/.emacs:
(require 'psvn)
Start the svn interface with `M-x svn-status'.
+EOM
+}
+]
diff --git a/devel/py-QtPy/pkg-message b/devel/py-QtPy/pkg-message
index 099d4512ca23..d16c88179e80 100644
--- a/devel/py-QtPy/pkg-message
+++ b/devel/py-QtPy/pkg-message
@@ -1,4 +1,6 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
You installed py-QtPy: the abstraction layer on top of Qt bindings.
One of PyQt5, PyQt4, PySide2 or PySide bindings is required to be
@@ -7,4 +9,6 @@ bindings, PyQt5 will be chosen first when available.
The QT_API environment variable can be used to force a particular
binding.
-======================================================================
+EOM
+}
+]
diff --git a/devel/py-aspects/files/pkg-message.in b/devel/py-aspects/files/pkg-message.in
index 9401bd2ac97e..8403bb520de3 100644
--- a/devel/py-aspects/files/pkg-message.in
+++ b/devel/py-aspects/files/pkg-message.in
@@ -1,8 +1,11 @@
--------------------------------------------------------------
+[
+{ type: install
+ message: <<EOM
aspects is installed.
For a quick start:
- examples files are in PREFIX/share/examples/py-aspects/
- import aspects for using the module
-
--------------------------------------------------------------
+EOM
+}
+]
diff --git a/devel/py-aspyct/pkg-message b/devel/py-aspyct/pkg-message
index 565a968ab91b..17da669de0ca 100644
--- a/devel/py-aspyct/pkg-message
+++ b/devel/py-aspyct/pkg-message
@@ -1,7 +1,11 @@
--------------------------------------------------------------
+[
+{ type: install
+ message: <<EOM
py-aspyct is installed.
For a quick start:
- import Aspyct for using this module
- read http://www.aspyct.org/doku.php?id=aspyct-doc
--------------------------------------------------------------
+EOM
+}
+]
diff --git a/devel/py-gitosis/pkg-message b/devel/py-gitosis/pkg-message
index e4f9c6c70439..dfda4ca95343 100644
--- a/devel/py-gitosis/pkg-message
+++ b/devel/py-gitosis/pkg-message
@@ -1,5 +1,7 @@
-================================================================================
-
+[
+{ type: install
+ message: <<EOM
For more information, see https://github.com/tv42/gitosis/blob/master/README.rst
-
-================================================================================
+EOM
+}
+]
diff --git a/devel/py-http-prompt/files/pkg-message.in b/devel/py-http-prompt/files/pkg-message.in
index 405aee9b8ba3..713a9c278233 100644
--- a/devel/py-http-prompt/files/pkg-message.in
+++ b/devel/py-http-prompt/files/pkg-message.in
@@ -1,4 +1,6 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
For the output colors work properly you need to use LESS as your
default pager instead of MORE.
@@ -7,4 +9,6 @@ $ export PAGER=less
csh:
$ setenv PAGER less
-======================================================================
+EOM
+}
+]
diff --git a/devel/py-mercurialserver/files/pkg-message.in b/devel/py-mercurialserver/files/pkg-message.in
index d656c5ed7789..15567970bb85 100644
--- a/devel/py-mercurialserver/files/pkg-message.in
+++ b/devel/py-mercurialserver/files/pkg-message.in
@@ -1,5 +1,11 @@
+[
+{ type: install
+ message: <<EOM
NOTE: %%PORTNAME%% has been patched to use %%PREFIX%%/etc/%%PORTNAME%%
instead of /etc/mercurial-server
Now you need to create %%HGUSER%% home (if nessacery) and run
%%PREFIX%%/etc/hginit as %%HGUSER%% user from home directory
+EOM
+}
+]
diff --git a/devel/py-os-brick/pkg-message b/devel/py-os-brick/pkg-message
index a99ff34ba30a..7567fb2b4a44 100644
--- a/devel/py-os-brick/pkg-message
+++ b/devel/py-os-brick/pkg-message
@@ -1,5 +1,11 @@
+[
+{ type: install
+ message: <<EOM
Please note that this is a development version.
Only initial NFS support was added.
Enable NFS client in rc.conf
# sysrc nfs_client_enable="YES"
+EOM
+}
+]
diff --git a/devel/py-pip/pkg-message b/devel/py-pip/pkg-message
index 736e6cae94cc..e32ef95062a6 100644
--- a/devel/py-pip/pkg-message
+++ b/devel/py-pip/pkg-message
@@ -1,5 +1,6 @@
-============================== !!!! WARNING !!!! ==========================
-
+[
+{ type: install
+ message: <<EOM
pip MUST ONLY be used:
* With the --user flag, OR
@@ -10,5 +11,6 @@ system-wide Python environment (LOCALBASE/lib/pythonX.Y/site-packages) and
cause errors.
Avoid using pip as root unless you know what you're doing.
-
-============================== !!!! WARNING !!!! ==========================
+EOM
+}
+]
diff --git a/devel/py-python-gitlab/files/pkg-message.in b/devel/py-python-gitlab/files/pkg-message.in
index fdcffd877a91..e5af3454a473 100644
--- a/devel/py-python-gitlab/files/pkg-message.in
+++ b/devel/py-python-gitlab/files/pkg-message.in
@@ -1,4 +1,10 @@
+[
+{ type: install
+ message: <<EOM
Add %%PREFIX%%/etc/python-gitlab.cfg or ~/.python-gitlab.cfg
See https://github.com/python-gitlab/python-gitlab/blob/master/docs/cli.rst
for CLI configutation details
+EOM
+}
+]
diff --git a/devel/py-q/files/pkg-message.in b/devel/py-q/files/pkg-message.in
index e476bf9063f0..91a9bb0f476e 100644
--- a/devel/py-q/files/pkg-message.in
+++ b/devel/py-q/files/pkg-message.in
@@ -1,5 +1,11 @@
+[
+{ type: install
+ message: <<EOM
Instructions for using devel/py-q can be found in the supplied docs:
%%DOCSDIR%%/README.md
Or video http://pyvideo.org/video/1858/sunday-evening-lightning-talks#t=25m15
+EOM
+}
+]
diff --git a/devel/py-setuptools/files/pkg-message.in b/devel/py-setuptools/files/pkg-message.in
index 1797c069d7a7..2c33be99f2e5 100644
--- a/devel/py-setuptools/files/pkg-message.in
+++ b/devel/py-setuptools/files/pkg-message.in
@@ -1,7 +1,8 @@
-
-*******************************************************************
-
+[
+{ type: install
+ message: <<EOM
Only %%PREFIX%%/bin/easy_install-%%PYTHON_VER%% script has been installed
since Python %%PYTHON_VER%% is not the default Python version.
-
-*******************************************************************
+EOM
+}
+]
diff --git a/devel/py-ua_parser/files/pkg-message.in b/devel/py-ua_parser/files/pkg-message.in
index 8cba99da9104..868e4623d511 100644
--- a/devel/py-ua_parser/files/pkg-message.in
+++ b/devel/py-ua_parser/files/pkg-message.in
@@ -1,5 +1,9 @@
-
+[
+{ type: install
+ message: <<EOM
To allow user_agent_parser python module to find regexes.yaml file,
define UA_PARSER_YAML environment variable to point to
%%LOCALBASE%%/share/ua_parser/regexes.yaml
-
+EOM
+}
+]
diff --git a/devel/pycharm-ce/files/pkg-message.in b/devel/pycharm-ce/files/pkg-message.in
index 8333c38cb0ac..1e6f444bc43f 100644
--- a/devel/pycharm-ce/files/pkg-message.in
+++ b/devel/pycharm-ce/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
There is experimental native (faster) file watching support which is
disabled by default. Currently there are problems with watching large
trees. To enable edit %%DATADIR%%/bin/idea.properties and append
@@ -6,3 +9,6 @@ trees. To enable edit %%DATADIR%%/bin/idea.properties and append
idea.filewatcher.executable.path=%%IDEA_HOME%%/bin/fsnotifier
Only enable fsnotifier if your projects have < 600 files.
+EOM
+}
+]
diff --git a/devel/pymacs/pkg-message b/devel/pymacs/pkg-message
index 5b0e82acb11f..a557a3b65c72 100644
--- a/devel/pymacs/pkg-message
+++ b/devel/pymacs/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Add the following to your emacs initialization file to enable pymacs:
(autoload 'pymacs-apply "pymacs")
@@ -9,3 +12,6 @@ Add the following to your emacs initialization file to enable pymacs:
See http://pymacs.progiciels-bpi.ca/pymacs.html for
documentation on using pymacs.
+EOM
+}
+]
diff --git a/devel/rbenv/pkg-message b/devel/rbenv/pkg-message
index 4112951fe96e..65e46ae7e834 100644
--- a/devel/rbenv/pkg-message
+++ b/devel/rbenv/pkg-message
@@ -1,8 +1,10 @@
-**********************************************************************
-
+[
+{ type: install
+ message: <<EOM
Load rbenv automatically by appending
the following to ~/.bash_profile:
eval "$(rbenv init -)"
-
-**********************************************************************
+EOM
+}
+]
diff --git a/devel/remotery/files/pkg-message.in b/devel/remotery/files/pkg-message.in
index 7ab50e97cd31..5d41df17a719 100644
--- a/devel/remotery/files/pkg-message.in
+++ b/devel/remotery/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Compiling the sample program
============================
@@ -11,3 +14,6 @@ Using the Remote Web Viewer
===========================
Open %%DATADIR%%/index.html in a web browser.
+EOM
+}
+]
diff --git a/devel/rpm-spec-mode.el/pkg-message b/devel/rpm-spec-mode.el/pkg-message
index 27f2e4d5bc3b..1639b9de0073 100644
--- a/devel/rpm-spec-mode.el/pkg-message
+++ b/devel/rpm-spec-mode.el/pkg-message
@@ -1,11 +1,12 @@
-
-===================================================================
-
+[
+{ type: install
+ message: <<EOM
Put this in your .emacs file to enable autoloading of rpm-spec-mode,
and auto-recognition of ".spec" files:
(autoload 'rpm-spec-mode "rpm-spec-mode.el" "RPM spec mode." t)
(setq auto-mode-alist (append '(("\\.spec" . rpm-spec-mode))
auto-mode-alist))
-
-===================================================================
+EOM
+}
+]
diff --git a/devel/rth/files/pkg-message.in b/devel/rth/files/pkg-message.in
index a71ee56b0cbd..19076f0226e2 100644
--- a/devel/rth/files/pkg-message.in
+++ b/devel/rth/files/pkg-message.in
@@ -1,4 +1,6 @@
-
+[
+{ type: install
+ message: <<EOM
%%PKGNAME%% has been installed into:
%%PREFIX%%/www/rth
@@ -31,4 +33,6 @@ that you add something like the following to httpd.conf:
DirectoryIndex home_page.php
</IfModule>
</Directory>
-
+EOM
+}
+]
diff --git a/devel/sdl12/pkg-message.linjoy b/devel/sdl12/pkg-message.linjoy
index bde6eeadc96f..7f2847357bc8 100644
--- a/devel/sdl12/pkg-message.linjoy
+++ b/devel/sdl12/pkg-message.linjoy
@@ -1,7 +1,8 @@
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
+[
+{ type: install
+ message: <<EOM
Do not forget install webcamd with joystick support and run it,
/dev/input/js* or /dev/input/event* device is required.
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+EOM
+}
+]
diff --git a/devel/sdl12/pkg-message.vgl b/devel/sdl12/pkg-message.vgl
index 4d26f0bb3931..a816310a8b6c 100644
--- a/devel/sdl12/pkg-message.vgl
+++ b/devel/sdl12/pkg-message.vgl
@@ -1,8 +1,12 @@
-------------------------------------------------------------------------------
+[
+{ type: install
+ message: <<EOM
Your SDL library has been built with libvgl support, which means that you
can run almost any SDL application straight on your console (VESA 2.0
compatible videocard is required).
To do this you have to load the vesa kernel module or enable it in your
kernel, and set environment variable "SDL_VIDEODRIVER=vgl".
-------------------------------------------------------------------------------
+EOM
+}
+]
diff --git a/devel/sonar-ant-task/files/pkg-message.in b/devel/sonar-ant-task/files/pkg-message.in
index 1cf90c3484b7..b2ac40506d93 100644
--- a/devel/sonar-ant-task/files/pkg-message.in
+++ b/devel/sonar-ant-task/files/pkg-message.in
@@ -1,5 +1,6 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
To integrate SonarQube with SonarQube Scanner for Ant (default
settings):
- define a new sonar Ant target in your Ant build script
@@ -9,5 +10,6 @@
More information:
http://docs.sonarqube.org/display/SCAN/Analyzing+with+SonarQube+Scanner+for+Ant
-
-************************************************************************
+EOM
+}
+]
diff --git a/devel/sonar-scanner-cli/files/pkg-message.in b/devel/sonar-scanner-cli/files/pkg-message.in
index 527524e0a8d7..3f44cd796b52 100644
--- a/devel/sonar-scanner-cli/files/pkg-message.in
+++ b/devel/sonar-scanner-cli/files/pkg-message.in
@@ -1,10 +1,12 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
Before start the SonarQube Scanner (default settings):
- create a new SONAR_RUNNER_HOME environment variable set to
"/usr/local/sonar-scanner-cli"
More information:
http://docs.sonarqube.org/display/SCAN/Analyzing+with+SonarQube+Scanner
-
-************************************************************************
+EOM
+}
+]
diff --git a/devel/sonarqube/files/pkg-message.in b/devel/sonarqube/files/pkg-message.in
index fff031ae5dfe..2d93cc3d72c8 100644
--- a/devel/sonarqube/files/pkg-message.in
+++ b/devel/sonarqube/files/pkg-message.in
@@ -1,5 +1,6 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
Before start the SonarQube, prepare the Database and
the Web Server, when installing for the first time.
@@ -11,5 +12,6 @@
To run the SonarQube from startup, add sonarqube_enable="YES"
in your /etc/rc.conf
-
-************************************************************************
+EOM
+}
+]
diff --git a/devel/staf/pkg-message b/devel/staf/pkg-message
index dfd48bd227a4..29416bde882f 100644
--- a/devel/staf/pkg-message
+++ b/devel/staf/pkg-message
@@ -1,5 +1,6 @@
-=====================================================================
-
+[
+{ type: install
+ message: <<EOM
STAFProc requires machine's hostname to be resolvable.
If you haven't already, please add the following to /etc/hosts:
@@ -11,5 +12,6 @@ To verify do the following:
ping6 $(hostname)
ping $(hostname)
-
-=====================================================================
+EOM
+}
+]
diff --git a/devel/statcvs/files/pkg-message.in b/devel/statcvs/files/pkg-message.in
index 43f552be1ca5..f1cd154c8f6f 100644
--- a/devel/statcvs/files/pkg-message.in
+++ b/devel/statcvs/files/pkg-message.in
@@ -1,4 +1,6 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
You have just installed StatCVS, a CVS repository activity report
generator.
@@ -8,4 +10,6 @@ java -jar %%DATADIR%%/statcvs.jar
Full usage instructions and command options are found at:
http://statcvs.sourceforge.net/manual.html
-======================================================================
+EOM
+}
+]
diff --git a/devel/statsvn/pkg-message b/devel/statsvn/pkg-message
index ed9c12687ecb..d9e11c69fa3c 100644
--- a/devel/statsvn/pkg-message
+++ b/devel/statsvn/pkg-message
@@ -1 +1,7 @@
+[
+{ type: install
+ message: <<EOM
Manual: https://wiki.statsvn.org/User%20Manual.ashx
+EOM
+}
+]
diff --git a/devel/subversion-lts/files/pkg-message.in b/devel/subversion-lts/files/pkg-message.in
index 4f8ad51be2da..fb11b255c24b 100644
--- a/devel/subversion-lts/files/pkg-message.in
+++ b/devel/subversion-lts/files/pkg-message.in
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
The subversion dav modules are no longer activated in httpd.conf!
There is now a dedicated modules file in %%APACHEETCDIR%%/modules.d
+EOM
+}
+]
diff --git a/devel/subversion/files/pkg-message.in b/devel/subversion/files/pkg-message.in
index 4f8ad51be2da..fb11b255c24b 100644
--- a/devel/subversion/files/pkg-message.in
+++ b/devel/subversion/files/pkg-message.in
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
The subversion dav modules are no longer activated in httpd.conf!
There is now a dedicated modules file in %%APACHEETCDIR%%/modules.d
+EOM
+}
+]
diff --git a/devel/svntrac/pkg-message b/devel/svntrac/pkg-message
index ae2b3a8fcd7d..0dabc2b4ca2f 100644
--- a/devel/svntrac/pkg-message
+++ b/devel/svntrac/pkg-message
@@ -1,4 +1,9 @@
-
+[
+{ type: install
+ message: <<EOM
Please follow the detailed installation instructions in the CVSTrac
Wiki at http://www.cvstrac.org/cvstrac/wiki?p=SvnTrac for information
on how to get SvnTrac up and running in your preferred configuration.
+EOM
+}
+]
diff --git a/devel/tig/pkg-message-git b/devel/tig/pkg-message-git
index 95c3f57cc011..9cf7166699dd 100644
--- a/devel/tig/pkg-message-git
+++ b/devel/tig/pkg-message-git
@@ -1 +1,7 @@
+[
+{ type: install
+ message: <<EOM
Required to (post-)install devel/git* port as runtime dependency.
+EOM
+}
+]
diff --git a/devel/tigcc/files/pkg-message.in b/devel/tigcc/files/pkg-message.in
index 3479359790f9..cd2a20c9fadf 100644
--- a/devel/tigcc/files/pkg-message.in
+++ b/devel/tigcc/files/pkg-message.in
@@ -1,5 +1,6 @@
- ATTENTION:
-
+[
+{ type: install
+ message: <<EOM
TIGCC is now installed but in order for it
to work you need to define some stuff.
@@ -14,3 +15,6 @@ setenv TIGCC %%PREFIX%%/tigcc
setenv PATH $PATH:$TIGCC/bin
into the .cshrc file in your home directory.
+EOM
+}
+]
diff --git a/devel/tortoisehg/files/pkg-message.in b/devel/tortoisehg/files/pkg-message.in
index 75b6ebe825ae..feb98d8f5ebb 100644
--- a/devel/tortoisehg/files/pkg-message.in
+++ b/devel/tortoisehg/files/pkg-message.in
@@ -1,4 +1,10 @@
+[
+{ type: install
+ message: <<EOM
It is recommended to %include TortoiseHG's mergetools.rc into your ~/.hgrc file,
especially if you use textproc/kdiff3 as your merge tool:
%include %%PREFIX%%/share/tortoisehg/mergetools.rc
+EOM
+}
+]
diff --git a/devel/trac-bitten/files/pkg-message.in b/devel/trac-bitten/files/pkg-message.in
index 4505d999f444..41063aee5d5f 100644
--- a/devel/trac-bitten/files/pkg-message.in
+++ b/devel/trac-bitten/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
If your system is the build master, i.e. it is the system that runs
the Trac instance and integrates with the SCM, you need to configure
Trac to load the Bitten plugin and give permissions to the build
@@ -10,3 +13,6 @@ username and password appropriately for the build slaves.
For more detailed instructions please have a look at the documentation
at http://bitten.edgewall.org/wiki/Documentation/install.html
+EOM
+}
+]
diff --git a/devel/truc/files/pkg-message.in b/devel/truc/files/pkg-message.in
index c6ee25682f6b..a1a087b677d8 100644
--- a/devel/truc/files/pkg-message.in
+++ b/devel/truc/files/pkg-message.in
@@ -1,4 +1,6 @@
-
+[
+{ type: install
+ message: <<EOM
%%PKGNAME%% has been installed into:
%%PREFIX%%/www/truc
@@ -30,4 +32,6 @@ that you add something like the following to httpd.conf:
Point your browser to http://localhost/truc/, follow the
instructions to create a config file and save it into
truc's root directory.
-
+EOM
+}
+]
diff --git a/devel/valgrind/pkg-message b/devel/valgrind/pkg-message
index a95f7b8a04b6..999db08e752f 100644
--- a/devel/valgrind/pkg-message
+++ b/devel/valgrind/pkg-message
@@ -1,5 +1,6 @@
-==========================================================================
-
+[
+{ type: install
+ message: <<EOM
Known problems:
1) DRD/Helgrind tool gives excessive false-positivies for the
internals of pthreads library. This is now under
@@ -9,5 +10,6 @@
If you'll encounter any problems when using Valgrind do not
hesitate to contact the maintainer with the description of
these problems.
-
-==========================================================================
+EOM
+}
+]
diff --git a/devel/viewvc/files/pkg-message.in b/devel/viewvc/files/pkg-message.in
index ea4dc8da3006..9c76cbf6c44a 100644
--- a/devel/viewvc/files/pkg-message.in
+++ b/devel/viewvc/files/pkg-message.in
@@ -1,5 +1,6 @@
-*****************************************************************
-
+[
+{ type: install
+ message: <<EOM
To use ViewVC, modify the configuration file located at
%%PREFIX%%/viewvc/viewvc.conf.
@@ -54,5 +55,6 @@
".cgi" => "%%PYTHON_CMD%%",
)
}
-
-*****************************************************************
+EOM
+}
+]
diff --git a/devel/visualparadigm/pkg-message b/devel/visualparadigm/pkg-message
index 83a54b9d1c36..354d17158307 100644
--- a/devel/visualparadigm/pkg-message
+++ b/devel/visualparadigm/pkg-message
@@ -1,4 +1,8 @@
-******************************************************************
+[
+{ type: install
+ message: <<EOM
Visit http://www.visual-paradigm.com/ to get either a community or
an enterprise license key
-******************************************************************
+EOM
+}
+]
diff --git a/devel/websvn/files/pkg-message.in b/devel/websvn/files/pkg-message.in
index 498653a6e77e..b36c8fe24876 100644
--- a/devel/websvn/files/pkg-message.in
+++ b/devel/websvn/files/pkg-message.in
@@ -1,7 +1,11 @@
-----------------------------------------------------
+[
+{ type: install
+ message: <<EOM
To setup WebSVN, please edit the configuration file:
%%WWWDIR%%/include/config.php
and modify your web server's configuration to serve
WebSVN actually!
-----------------------------------------------------
+EOM
+}
+]
diff --git a/devel/xc3sprog/pkg-message b/devel/xc3sprog/pkg-message
index 2a391b59a5a6..1e66953eb605 100644
--- a/devel/xc3sprog/pkg-message
+++ b/devel/xc3sprog/pkg-message
@@ -1,5 +1,11 @@
+[
+{ type: install
+ message: <<EOM
Visit:
http://wiki.freebsd.org/FPGA/
for FreeBSD-specific usage.
+EOM
+}
+]
diff --git a/devel/youcompleteme/files/pkg-message.in b/devel/youcompleteme/files/pkg-message.in
index d4772d20c0fd..5cc471ef7015 100644
--- a/devel/youcompleteme/files/pkg-message.in
+++ b/devel/youcompleteme/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
For JavaScript Semantic Completion:
cd %%VIMFILESDIR%%/third_party/ycmd/third_party/tern_runtime
pkg install npm
@@ -7,3 +10,6 @@ For TypeScript Semantic Completion:
pkg install npm
npm install -g typescript
+EOM
+}
+]
diff --git a/devel/zanata-platform/pkg-message b/devel/zanata-platform/pkg-message
index 20266f7002cc..73a706b02219 100644
--- a/devel/zanata-platform/pkg-message
+++ b/devel/zanata-platform/pkg-message
@@ -1,6 +1,8 @@
-================================================================================
-
+[
+{ type: install
+ message: <<EOM
For installation instructions of devel/zanata-platform port, visit
https://wiki.freebsd.org/Zanata/Install
-
-===============================================================================
+EOM
+}
+]
diff --git a/devel/zeal/pkg-message b/devel/zeal/pkg-message
index 207d90e851d4..226c00602da2 100644
--- a/devel/zeal/pkg-message
+++ b/devel/zeal/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
After installing Zeal, you need to download docsets.
Go to Tools->Docsets, select the ones you want, and click the Download
@@ -5,3 +8,6 @@ button.
You can also create your own docsets by following these instructions:
https://kapeli.com/docsets
+EOM
+}
+]